- Get interaction by ID
Get interaction call summaries
Get previous interactions
Get interactions
Get interaction call summaries
Get interaction convo
Close interaction convo
Join interaction convo
Leave interaction convo
Get previous interactions
Download interaction recording
Download interaction voicemail
Get borrower interactions
Create interaction
Delete interaction
Get interaction by ID
Update interaction
Get interaction call summaries
Get cases associated with an interaction
Get previous interactions
Download interaction recording
Download interaction voicemail
Get interaction by ID
Security
oauth2(Required scopes: interaction:read) or bearerAuth or apiKeyHeader
GET
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X GET \
'https://sandboxapi.peach.finance/api/interactions/{interactionId}?searchable=false' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Success
Response
{ "message": "string", "status": 0, "data": { "channel": "string", "content": null, "createdAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "borrowerSelectedTheme": "agentNotification", "contactId": "string", "metaData": {}, "personId": "string", "scheduledAtFrom": "2019-08-24T14:15:22Z", "scheduledAtTo": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "status": "attempted", "statusDetails": "voiceSpokeWithFirstParty", "subject": "annualPrivacyPolicyNotice", "theme": "agentNotification", "agentOutcome": "voiceSpokeWithFirstParty", "agentOutcomeUpdatedAt": "2019-08-24T14:15:22Z", "borrower": { … }, "companyId": "string", "complianceGuardRuleId": "string", "contact": { … }, "createdBy": { … }, "direction": "outbound", "endedAt": "2019-08-24T14:15:22Z", "externalId": "string", "failureDescriptionLong": "string", "failureDescriptionShort": "string", "isExternal": true, "isTransactional": true, "lastTaskMeta": { … }, "loanId": "LN-AAAA-BBBB", "loanIds": [ … ], "object": "interaction", "previousInteractionId": "string", "sendAt": "2019-08-24T14:15:22Z", "sensitive": false, "sensitiveBorrowerOnly": false, "statusDetailsUpdatedAt": "2019-08-24T14:15:22Z", "statusUpdatedAt": "2019-08-24T14:15:22Z", "supercaseBulkOperationId": "string", "templateVersionId": "string", "twilioErrorCode": "string" } }